<!DOCTYPE html>
<html>
    <?php include_once('head.php'); ?>
    <body>
        <?php include_once('nav.php'); ?>

        <?php
            $success = FALSE;

            if ($_SERVER['REQUEST_METHOD'] == 'POST') {
                // print_r($_POST);
                $amount = isset($_POST['amount']) && !empty($_POST['amount']) ? $_POST['amount'] : 1;
                $serialNumber = isset($_POST['serialnumber']) && !empty($_POST['serialnumber']) ? $_POST['serialnumber'] : NULL;

                $storage = DB::queryFirstRow('SELECT id,label,amount FROM storages WHERE label=%s', $_POST['storage']);
                if ($storage == NULL) $storage = DB::insert('storages', array('label' => $_POST['storage'], 'amount' => $amount));
                else DB::update('storages', array('amount' => $storage['amount'] + $amount), 'id=%d', $storage['id']);

                $category = DB::queryFirstRow('SELECT id,amount FROM headCategories WHERE name=%s', $_POST['category']);
                if ($category == NULL) $category = DB::insert('headCategories', array('name' => $_POST['category'], 'amount' => $amount));
                else DB::update('headCategories', array('amount' => $category['amount'] + $amount), 'id=%d', $category['id']);
                $item = DB::insert('items', array('label' => $_POST['label'], 'serialnumber' => $serialNumber, 'amount' => $amount, 'headcategory' => $category['id'], 'subcategories' => NULL, 'storageid' => intVal($storage['id'])));

                $success = TRUE;
            }
        ?>

        <div>
            <?php if ($success): ?>
            <div class="alert alert-info" role="alert">
                <?php echo $_POST['label'] ?> zur Datenbank hinzugefügt.
            </div>
            <?php endif; ?>
            <form accept-charset="utf-8" method="POST" action="index.php" style="padding: 28px;">
                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon1">Bezeichnung</span>
                    </div>

                    <input type="text" name="label" maxlength="64" class="form-control" required="required" placeholder="Bezeichnung oder Name" aria-label="Gerätename" aria-describedby="basic-addon1">
                </div>

                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon5">Lagerplatz</span>
                    </div>

                    <input type="text" name="storage" maxlength="32" class="form-control" placeholder="Lagerplatz" required="required" aria-label="Lagerplatz" aria-describedby="basic-addon5">
                </div>

                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                            <span class="input-group-text" id="basic-addon2">Kategorie</span>
                        </div>

                    <input type="text" class="form-control" name="category" required="required" placeholder="Netzwerk" aria-label="Kategorie" aria-describedby="basic-addon2">
                </div>

                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon3">Unterkategorien</span>
                    </div>

                    <input type="text" class="form-control" name="subcategories" placeholder="Router,wlan,fritzBox" aria-label="Unterkategorien" aria-describedby="basic-addon3">
                </div>

                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon4">Anzahl</span>
                    </div>

                    <input type="text" name="amount" class="form-control" placeholder="1" aria-label="Anzahl" aria-describedby="basic-addon4">
                </div>

                <div class="input-group mb-3">
                    <div class="input-group-prepend">
                        <span class="input-group-text" id="basic-addon6">Seriennummer</span>
                    </div>

                    <input type="text" name="serialnumber" class="form-control" placeholder="Seriennummer/Artikelnummer" aria-label="Seriennummer" aria-describedby="basic-addon6">
                </div>

                <div style="float: right;">
                    <button type="submit" class="btn btn-primary">Eintragen</button>
                </div>
            </form>
        </div>

        <?php include_once('footer.php'); ?>
    </body>
</html>